Bug 1271761 - [RFE] Include sample scripts using Satellite 6 API's
[RFE] Include sample scripts using Satellite 6 API's
Status: CLOSED NOTABUG
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs API Guide (Show other bugs)
6.1.2
x86_64 Linux
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite-doc-list
satellite-doc-list
: FutureFeature
Depends On:
Blocks: 260381
  Show dependency treegraph
 
Reported: 2015-10-14 11:45 EDT by Waldirio M Pinheiro
Modified: 2017-01-05 07:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-05 07:51:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
about (143.40 KB, image/png)
2015-10-21 23:46 EDT, Waldirio M Pinheiro
no flags Details
about (143.40 KB, image/png)
2015-10-21 23:48 EDT, Waldirio M Pinheiro
no flags Details
namespace (115.09 KB, image/png)
2015-10-21 23:48 EDT, Waldirio M Pinheiro
no flags Details
faq (100.22 KB, image/png)
2015-10-21 23:49 EDT, Waldirio M Pinheiro
no flags Details
sample (129.20 KB, image/png)
2015-10-21 23:50 EDT, Waldirio M Pinheiro
no flags Details

  None (edit)
Description Waldirio M Pinheiro 2015-10-14 11:45:14 EDT
Description of problem:
Customer would like to get the initial advice of how to create a simple script in python or perl to consume the Satellite 6 API's.

In nowadays we have this on Satellite 5, where we can see the namespaces and methods, with 3 or 4 simple samples of list users, for example.

In satellite 6, the great location could be in Administer - About, we have Support, System Information, etc .. and a good new one should be API, with a link to local api's "https://<localhost server>/apidoc/" and samples links "python, perl, command line cli, etc"
Comment 3 Waldirio M Pinheiro 2015-10-21 23:46 EDT
Created attachment 1085370 [details]
about
Comment 4 Waldirio M Pinheiro 2015-10-21 23:48 EDT
Created attachment 1085371 [details]
about
Comment 5 Waldirio M Pinheiro 2015-10-21 23:48 EDT
Created attachment 1085372 [details]
namespace
Comment 6 Waldirio M Pinheiro 2015-10-21 23:49 EDT
Created attachment 1085373 [details]
faq
Comment 7 Waldirio M Pinheiro 2015-10-21 23:50 EDT
Created attachment 1085374 [details]
sample
Comment 8 Stephen Wadeley 2017-01-03 10:04:33 EST
Hello

Is this bug for the builtin API reference doc or the web UI?

We need to change the Bugzilla component.

 "Docs API Guide" means the guide on the customer portal.

"API" is for builtin API reference doc and web UI has Bugzilla component "WebUI" with sub component "Foreman".


Thank you
Comment 11 Stephen Wadeley 2017-01-05 07:51:48 EST
As agreed with Waldirio I am closing this bug as the API guide is covering this subject:

https://access.redhat.com/documentation/en/red-hat-satellite/6.2/paged/api-guide

Note You need to log in before you can comment on or make changes to this bug.